Name:		python-pychart
Version:	1.39
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Python
Summary:	Python library for generating chart images
URL:		http://home.gna.org/pychart/
# This is the good upstream source. Unfortunately, we need to remove the dot to make latex2html happy.
# Source0:	http://download.gna.org/pychart/PyChart-%{version}.tar.gz
Source0:	PyChart-1_39.tar.gz
BuildArch:	noarch
Patch0:		pychart-1.39-mkhowto.patch
Patch1:         pychart-1.39-optparse.patch

%description
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots, 
range-fill plots, and pie charts. Because it is based on Python, you can make 
full use of Python's scripting power.

%package doc
Summary: Documentation for using pychart in python programs
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
PyChart is a Python library for creating high quality Encapsulated Postscript,
PDF, PNG, or SVG charts. It currently supports line plots, bar plots,
range-fill plots, and pie charts. Because it is based on Python, you can make
full use of Python's scripting power.

Install this package if you want the developers' documentation and examples
that tell you how to program with the pychart library.

%prep
%setup -q -n PyChart-1_39 -T -b 0
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{python_sitelib}/pychart/
%{python_sitelib}/PyChart-*.egg-info


%changelog
* Sun Jul 17 2011 fwang <fwang> 1.39-2.mga2
+ Revision: 125382
- update group

* Sun Jul 17 2011 fwang <fwang> 1.39-1.mga2
+ Revision: 125287
- imported package python-pychart

